## ros-humble-grid-map-cmake-helpers 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(grid_map_cmake_helpers NONE)

find_package(ament_cmake_core REQUIRED)

ament_package(
  CONFIG_EXTRAS "grid_map_cmake_helpers-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-humble-grid-map-cmake-helpers (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS2 port
  * Contributors: Steve Macenski
  * Update for rolliing (#296 <https://github.com/ANYbotics/grid_map/issues/296>)
    Co-authored-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Initial ROS2 port
  * added grid_map_cmake_helpers maintainers
  * changed grid_map_common to grid_map_cmake_helpers
  * Contributors: Daisuke Nishimatsu, Marwan Taher, Steve Macenski

 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 12 Sep 2022 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.6.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Wed, 23 Oct 2019 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.6.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 26 Feb 2019 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.6.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 23 Nov 2017 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.5.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 25 Jul 2017 10:54:00 -0000

ros-humble-grid-map-cmake-helpers (1.5.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 25 Jul 2017 02:25:00 -0000

ros-humble-grid-map-cmake-helpers (1.5.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 17 Jul 2017 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.4.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 23 Jan 2017 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.4.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sat, 22 Oct 2016 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.4.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Sun, 21 Aug 2016 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.3.3-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 10 May 2016 11:35:00 -0000

ros-humble-grid-map-cmake-helpers (1.3.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Tue, 10 May 2016 07:41:00 -0000

ros-humble-grid-map-cmake-helpers (1.3.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 25 Apr 2016 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.2.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Wed, 02 Mar 2016 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.1.3-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 11 Jan 2016 17:55:26 +0900

ros-humble-grid-map-cmake-helpers (1.1.2-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 11 Jan 2016 07:38:00 -0000

ros-humble-grid-map-cmake-helpers (1.1.1-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Mon, 11 Jan 2016 04:51:00 -0000

ros-humble-grid-map-cmake-helpers (1.1.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 07 Jan 2016 15:00:00 -0000

ros-humble-grid-map-cmake-helpers (1.0.0-1jammy) jammy; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 19 Nov 2015 15:00:00 -0000

=== debian/control ===
Source: ros-humble-grid-map-cmake-helpers
Section: misc
Priority: optional
Maintainer: Maximilian Wulf <mwulf@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-core, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-grid-map-cmake-helpers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake-core, ros-humble-ros-workspace
Description: CMake support functionality used throughout grid_map

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-grid-map-cmake-helpers//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
